{{!-- {{log "chatCard-spell.hbs THIS-->" this}} --}}

<div class="sheet-card">
    {{#if isPopout}}
    {{else}}
        <div class="non-owner-only-view">
            {{localize "ARS.unknownAction"}}
        </div>
    {{/if}}
    <div class="owner-only-view">
        <div class="action-card spell-card item">

            <div class="flexrow">
                <div class="a25-image"><img src="{{item.img}}" data-tooltip="{{item.name}}" width="50" height="50" />
                </div>
                <div class="action-title">
                    {{#if item.pack}}
                        {{#if isPopout}}
                            {{{item.packLink}}}
                        {{else}}
                            @Compendium[{{item.pack}}.{{item.id}}]
                        {{/if}}
                    {{else}}
                        {{#if item.isOwned}}
                            {{item.name}}
                        {{else}}
                            {{#if isPopout}}
                                {{{item.itemLink}}}
                            {{else}}
                                @Item[{{item.id}}]
                            {{/if}}
                        {{/if}}
                    {{/if}}
                </div>
            </div>

            <div class="grid-container spell-details">
                <div class="grid-item" data-tooltip="{{item.system.level}}"><strong>Level:</strong>
                    {{item.system.level}}
                </div>

                <div class="grid-item" data-tooltip="{{item.system.level}}"><strong>Type:</strong>
                    {{item.system.type}}
                </div>
                <div class="grid-item" data-tooltip="{{item.system.range}}"><strong>Rng:</strong> {{item.system.range}}
                </div>

                <div class="grid-item">
                    <strong>Comp:</strong>
                    {{#if item.system.components.verbal}}V,{{/if}}
                    {{#if item.system.components.somatic}}S,{{/if}}
                    {{#if item.system.components.material}}M{{/if}}
                </div>

                <div class="grid-item" data-tooltip="{{item.system.durationText}}"><strong>Dur:</strong>
                    {{item.system.durationText}}
                </div>

                {{!-- <div class="grid-item">5
                        <img class="actionImage" src="{{item.img}}" data-tooltip="{{item.name}}" width="24" height="24" />
                    </div> --}}

                <div class="grid-item" data-tooltip="{{item.system.castingTime}}"><strong>Cast:</strong>
                    {{item.system.castingTime}}
                </div>

                <div class="grid-item" data-tooltip="{{item.system.areaOfEffect}}"><strong>AE:</strong>
                    {{item.system.areaOfEffect}}
                </div>

                {{!-- <div class="grid-item">8</div> --}}

                <div class="grid-item" data-tooltip="{{item.system.save}}"><strong>Save:</strong> {{item.system.save}}
                </div>

            </div>

            <div class="chatCard-description chatCard-spell-hbs">
                <div style="display: none" class="chatCard-description-full">
                    {{#if isPopout}}
                        {{{ itemDescription }}}
                    {{else}}
                        {{{ item.system.description }}}
                    {{/if}}
                </div>
                {{#if (or item.system.description itemDescription)}}
                    <div class="chatCard-expand-view"><i class="fas fa-expand-alt"></i></div>
                {{/if}}
            </div>

            <div class="card-buttons spell-card-cast" data-type="{{slotType}}" data-index="{{slotIndex}}"
                data-level="{{slotLevel}}">
                {{#if actionGroups.size}}
                    {{#each (mapToArray actionGroups) as |actionGroup|}}
                        <fieldset>
                            <legend>{{actionGroup.name}}</legend>
                            {{> "systems/ars/templates/chat/parts/chatCard-actions-blockV2.hbs" actionGroup=actionGroup}}
                        </fieldset>
                    {{/each}}
                {{/if}}
            </div>
            {{!-- <div class="card-buttons" data-type="{{slotType}}" data-index="{{slotIndex}}"
                    data-level="{{slotLevel}}">
                    {{> "systems/ars/templates/chat/parts/chatCard-actions-block.hbs" }}
                </div> --}}
        </div>
    </div>
</div>